Google のLocationClient が非推奨という警告を受けた場合、どうすればいいですか。

これを読んでいる方には、おそらく次の警告が表示されたと思われます。

Warning:com.vungle.publisher.location.GoogleLocationClientDetailedLocationProvider: can't find referenced class com.google.android.gms.location.LocationClient

上記の警告が表示されても、心配はございません。
これは警告であり、コンパイルや広告を表示する機能に影響は出ません。

Google が最新バージョンの使用を推薦しているため、より新しいバージョンにはコンパイラー警告が表示される場合がありますが、Vungle SDK はこれらの最新バージョンでも正しくコンパイルを実行できます。これらの警告は無視するか、ビルド過程に影響を与えている場合はコンパイラーフラグでオフにしてください。

すべてのクライアント様(またはエンドユーザー)がGoogle Play Services のアップデートをしていない可能性があるので、Vungle は後方互換によるサポートを提供するように努めています。

他にご質問がございましたら、リクエストを送信してください

コメント